Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- factory : Lucene::AttributeSource
- FastCharStream() : Lucene::FastCharStream
- fastClear() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::BitSet , Lucene::OpenBitSet
- fastFlip() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::BitSet
- fastGet() : Lucene::BitSet , Lucene::OpenBitSet
- fastSet() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::BitSet
- fdt : Lucene::StoredFieldsWriterPerDoc
- field : Lucene::NumericComparator< TYPE > , Lucene::StringComparatorLocale , Lucene::StringOrdValComparator , Lucene::StringValComparator , Lucene::FieldMaskingSpanQuery , Lucene::FreqProxFieldMergeState , Lucene::FuzzyTermEnum , Lucene::MultiPhraseQuery , Lucene::OrdFieldSource , Lucene::PhraseQuery
- Field() : Lucene::Field
- field : Lucene::QueryParser , Lucene::ReverseOrdFieldSource
- Field() : Lucene::Field
- field : Lucene::SegmentTermVector , Lucene::SortField
- Field() : Lucene::Field
- field : Lucene::SpanNearQuery , Lucene::SpanOrQuery
- Field() : Lucene::Field
- field : Lucene::TermBuffer , Lucene::TermRangeQuery
- Field() : Lucene::Field
- field : Lucene::TermRangeTermEnum , Lucene::TermVectorEntry
- Field() : Lucene::Field
- field : Lucene::ParallelArrayTermVectorMapper , Lucene::WildcardTermEnum
- Field() : Lucene::Field
- field() : Lucene::Term
- Field() : Lucene::Field
- field : Lucene::Entry , Lucene::FieldCacheSource , Lucene::FieldCacheTermsFilter
- FIELD_DOC() : Lucene::SortField
- FIELD_INFOS_EXTENSION() : Lucene::IndexFileNames
- FIELD_IS_BINARY : Lucene::FieldsWriter
- FIELD_IS_COMPRESSED : Lucene::FieldsWriter
- FIELD_IS_TOKENIZED : Lucene::FieldsWriter
- FIELD_OPTION_ALL : Lucene::IndexReader
- FIELD_OPTION_INDEXED : Lucene::IndexReader
- FIELD_OPTION_INDEXED_NO_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_INDEXED_WITH_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_OMIT_TERM_FREQ_AND_POSITIONS : Lucene::IndexReader
- FIELD_OPTION_STORES_PAYLOADS : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_OFFSET : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_POSITION : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_POSITION_OFFSET : Lucene::IndexReader
- FIELD_OPTION_UNINDEXED : Lucene::IndexReader
- FIELD_SCORE() : Lucene::SortField
- FieldCacheEntryImpl() : Lucene::FieldCacheEntryImpl
- FieldCacheImpl() : Lucene::FieldCacheImpl
- FieldCacheRangeFilter() : Lucene::FieldCacheRangeFilter
- FieldCacheSanityChecker() : Lucene::FieldCacheSanityChecker
- FieldCacheSource() : Lucene::FieldCacheSource
- FieldCacheTermsFilter() : Lucene::FieldCacheTermsFilter
- fieldCount : Lucene::DocFieldProcessorPerField , Lucene::DocFieldProcessorPerThread
- FieldDoc() : Lucene::FieldDoc
- FieldDocSortedHitQueue() : Lucene::FieldDocSortedHitQueue
- fieldGen : Lucene::DocFieldProcessorPerThread
- fieldHash : Lucene::DocFieldProcessorPerThread
- FieldInfo() : Lucene::FieldInfo
- fieldInfo : Lucene::DocFieldProcessorPerField , Lucene::DocInverterPerField , Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsTermsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::NormsWriterPerField , Lucene::TermsHashPerField , Lucene::TermVectorsTermsWriterPerField , Lucene::FieldInfos
- FieldInfos() : Lucene::FieldInfos
- fieldInfos : Lucene::DocFieldConsumer , Lucene::DocFieldProcessor , Lucene::DocFieldProcessorPerThread , Lucene::FieldsReader , Lucene::FieldsWriter , Lucene::FormatPostingsFieldsWriter , Lucene::InvertedDocConsumer , Lucene::NormsWriter , Lucene::SegmentMerger , Lucene::SegmentTermEnum , Lucene::StoredFieldsWriter , Lucene::TermInfosReader , Lucene::TermInfosWriter , Lucene::TermsHashConsumer , Lucene::TermVectorsReader , Lucene::TermVectorsWriter , Lucene::SegmentReader
- FieldInvertState() : Lucene::FieldInvertState
- FieldMaskingSpanQuery() : Lucene::FieldMaskingSpanQuery
- fieldName : Lucene::FieldCacheEntryImpl , Lucene::PayloadNearQuery , Lucene::FieldInfos
- FieldNormStatus() : Lucene::FieldNormStatus
- fieldNormStatus : Lucene::SegmentInfoStatus
- fieldNumber() : Lucene::FieldInfos
- fieldNumbers : Lucene::TermVectorsTermsWriterPerDoc
- FieldOption : Lucene::IndexReader
- fieldPointers : Lucene::TermVectorsTermsWriterPerDoc
- FieldReader : Lucene::LuceneException
- fields : Lucene::FieldDoc , Lucene::FieldDocSortedHitQueue , Lucene::FieldValueHitQueue , Lucene::MultiFieldQueryParser , Lucene::Sort , Lucene::TopFieldDocs , Lucene::DocFieldProcessorPerThread , Lucene::DocFieldProcessorPerField , Lucene::Document
- FIELDS_EXTENSION() : Lucene::IndexFileNames
- FIELDS_INDEX_EXTENSION() : Lucene::IndexFileNames
- FieldScoreQuery() : Lucene::FieldScoreQuery
- fieldsData : Lucene::AbstractField
- fieldSelections : Lucene::MapFieldSelector
- FieldSelector() : Lucene::FieldSelector
- FieldSelectorResult : Lucene::FieldSelector
- fieldSortDoMaxScore : Lucene::IndexSearcher
- fieldSortDoTrackScores : Lucene::IndexSearcher
- FieldSortedTermVectorMapper() : Lucene::FieldSortedTermVectorMapper
- FieldsReader() : Lucene::FieldsReader
- fieldsReaderLocal : Lucene::SegmentReader
- fieldsStream : Lucene::FieldsReader , Lucene::FieldsWriter
- fieldsStreamTL : Lucene::FieldsReader
- fieldState : Lucene::DocInverterPerField , Lucene::DocInverterPerThread , Lucene::FreqProxTermsWriterPerField , Lucene::NormsWriterPerField , Lucene::TermsHashPerField
- fieldsToLoad : Lucene::SetBasedFieldSelector
- FieldsWriter() : Lucene::FieldsWriter
- fieldsWriter : Lucene::DocFieldProcessor , Lucene::DocFieldProcessorPerThread , Lucene::StoredFieldsWriter
- fieldToDateResolution : Lucene::QueryParser
- fieldToReader : Lucene::ParallelReader
- fieldToTerms : Lucene::FieldSortedTermVectorMapper , Lucene::PositionBasedTermVectorMapper
- FieldValueHitQueue() : Lucene::FieldValueHitQueue
- FieldValueHitQueueEntry() : Lucene::FieldValueHitQueueEntry
- file : Lucene::CompoundFileWriter::FileEntry , Lucene::FileReader , Lucene::InfoStreamFile , Lucene::RAMInputStream , Lucene::RAMOutputStream
- FILE_EOF : Lucene::FileReader
- FILE_ERROR : Lucene::FileReader
- fileBuffer : Lucene::FileReader
- FileEntry() : Lucene::CompoundFileReader::FileEntry
- FileEntryPtr : Lucene::CompoundFileReader
- fileExists() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileLength() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileMap : Lucene::RAMDirectory
- fileModified() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileName : Lucene::CompoundFileReader , Lucene::CompoundFileWriter , Lucene::RefCount
- fileNameFromGeneration() : Lucene::IndexFileNames
- FileNotFound : Lucene::LuceneException
- fileOffset : Lucene::CSIndexInput
- FileReader() : Lucene::FileReader
- files : Lucene::ReaderCommit , Lucene::CommitPoint , Lucene::NormsWriter , Lucene::SegmentInfo , Lucene::SegmentInfos , Lucene::SegmentReader
- FileSwitchDirectory() : Lucene::FileSwitchDirectory
- fill() : Lucene::StoredFieldsWriter , Lucene::TermVectorsTermsWriter
- fillCache() : Lucene::CachingTokenFilter
- fillFields : Lucene::TopFieldCollector , Lucene::FieldValueHitQueue
- fillLower() : Lucene::CharFolder
- fillUpper() : Lucene::CharFolder
- filter : Lucene::CachingSpanFilter , Lucene::ConstantScoreQuery , Lucene::SinkTokenStream
- filterCleaner : Lucene::FilterManager
- FilteredDocIdSet() : Lucene::FilteredDocIdSet
- FilteredDocIdSetIterator() : Lucene::FilteredDocIdSetIterator
- FilteredQuery() : Lucene::FilteredQuery
- FilterIndexReader() : Lucene::FilterIndexReader
- FilterManager() : Lucene::FilterManager
- FilterTermDocs() : Lucene::FilterTermDocs
- FilterTermEnum() : Lucene::FilterTermEnum
- FilterTermPositions() : Lucene::FilterTermPositions
- finalOffset : Lucene::KeywordTokenizer
- finalState : Lucene::CachingTokenFilter , Lucene::SinkTokenStream
- find() : Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::SegmentInfoCollection , Lucene::Set< TYPE, LESS >
- find_if() : Lucene::Collection< TYPE >
- findMerges() : Lucene::LogMergePolicy , Lucene::MergePolicy
- findMergesForOptimize() : Lucene::LogMergePolicy , Lucene::MergePolicy
- findMergesToExpungeDeletes() : Lucene::LogMergePolicy , Lucene::MergePolicy
- finish() : Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsTermsConsumer , Lucene::FormatPostingsTermsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::InvertedDocConsumerPerField , Lucene::InvertedDocEndConsumerPerField , Lucene::NormsWriterPerField , Lucene::StoredFieldsWriterPerDoc , Lucene::TermsHashPerField , Lucene::TermVectorsTermsWriterPerDoc , Lucene::TermVectorsTermsWriterPerField , Lucene::TermsHashConsumerPerField , Lucene::FormatPostingsPositionsWriter , Lucene::DocFieldProcessorPerThreadPerDoc , Lucene::DocFieldConsumersPerDoc , Lucene::DocWriter , Lucene::SkipDocWriter , Lucene::FormatPostingsDocsConsumer , Lucene::FormatPostingsFieldsConsumer , Lucene::FormatPostingsFieldsWriter , Lucene::FormatPostingsPositionsConsumer
- finishAddIndexes() : Lucene::IndexWriter
- finishCommit() : Lucene::ChecksumIndexOutput , Lucene::IndexWriter , Lucene::SegmentInfos
- finishDocument() : Lucene::DocFieldConsumersPerThread , Lucene::DocInverterPerThread , Lucene::DocumentsWriter , Lucene::FreqProxTermsWriterPerThread , Lucene::InvertedDocConsumerPerThread , Lucene::InvertedDocEndConsumerPerThread , Lucene::NormsWriterPerThread , Lucene::StoredFieldsWriterPerThread , Lucene::TermsHashConsumerPerThread , Lucene::TermsHashPerThread , Lucene::TermVectorsTermsWriterPerThread , Lucene::TermVectorsTermsWriter , Lucene::StoredFieldsWriter , Lucene::DocFieldConsumerPerThread
- finishMerges() : Lucene::IndexWriter
- finishSync() : Lucene::IndexWriter
- first : Lucene::NearSpansUnordered , Lucene::PhraseScorer , Lucene::QueryParser::JJCalls , Lucene::BucketTable
- FIRST_LEVEL_SIZE() : Lucene::ByteBlockPool
- firstPosition() : Lucene::PhrasePositions
- firstTime : Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::PhraseScorer
- firstToLast() : Lucene::NearSpansUnordered , Lucene::PhraseScorer
- fixIndex() : Lucene::CheckIndex
- flags : Lucene::FlagsAttribute , Lucene::Token
- FlagsAttribute() : Lucene::FlagsAttribute
- flip() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::SloppyPhraseScorer , Lucene::BitSet
- flipAndGet() : Lucene::OpenBitSet
- FLOAT : Lucene::SortField
- flush() : Lucene::DocFieldConsumer , Lucene::InvertedDocEndConsumer , Lucene::NormsWriter , Lucene::DocConsumer , Lucene::DocFieldConsumers , Lucene::DocInverter , Lucene::ChecksumIndexOutput , Lucene::IndexOutput , Lucene::IndexReader , Lucene::InvertedDocConsumer , Lucene::StoredFieldsWriter , Lucene::TermsHashConsumer , Lucene::IndexReader , Lucene::BufferedIndexOutput , Lucene::DocFieldProcessor , Lucene::FreqProxTermsWriter , Lucene::RAMOutputStream , Lucene::DocumentsWriter , Lucene::IndexWriter , Lucene::TermVectorsTermsWriter , Lucene::TermsHash , Lucene::FieldsWriter
- flushBuffer() : Lucene::BufferedIndexOutput
- flushCount : Lucene::IndexWriter
- flushDeletesCount : Lucene::IndexWriter
- flushDocStores() : Lucene::IndexWriter
- flushDocument() : Lucene::FieldsWriter
- flushedDocCount : Lucene::DocumentsWriter
- flushedFiles : Lucene::SegmentWriteState
- flushPending : Lucene::DocumentsWriter
- flushState : Lucene::DocumentsWriter
- foldToASCII() : Lucene::ASCIIFoldingFilter
- FORMAT : Lucene::FieldsWriter
- format : Lucene::TermVectorsReader , Lucene::FieldsReader
- FORMAT : Lucene::SegmentInfos , Lucene::TermInfosWriter
- format : Lucene::FieldInfos , Lucene::SegmentTermEnum
- FORMAT_CHECKSUM : Lucene::SegmentInfos
- FORMAT_CURRENT : Lucene::TermInfosWriter , Lucene::TermVectorsReader , Lucene::FieldsWriter
- FORMAT_DEL_COUNT : Lucene::SegmentInfos
- FORMAT_DIAGNOSTICS : Lucene::SegmentInfos
- FORMAT_HAS_PROX : Lucene::SegmentInfos
- FORMAT_LOCKLESS : Lucene::SegmentInfos
- FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS : Lucene::FieldsWriter
- FORMAT_PRE : Lucene::FieldInfos
- FORMAT_SHARED_DOC_STORE : Lucene::SegmentInfos
- FORMAT_SINGLE_NORM_FILE : Lucene::SegmentInfos
- FORMAT_SIZE : Lucene::TermVectorsReader
- FORMAT_START : Lucene::FieldInfos
- FORMAT_USER_DATA : Lucene::SegmentInfos
- FORMAT_UTF8_LENGTH_IN_BYTES : Lucene::TermVectorsReader
- FORMAT_VERSION : Lucene::TermVectorsReader
- FORMAT_VERSION2 : Lucene::TermVectorsReader
- FORMAT_VERSION_UTF8_LENGTH_IN_BYTES : Lucene::TermInfosWriter , Lucene::FieldsWriter
- formatM1SkipInterval : Lucene::SegmentTermEnum
- FormatPostingsDocsWriter() : Lucene::FormatPostingsDocsWriter
- FormatPostingsFieldsWriter() : Lucene::FormatPostingsFieldsWriter
- FormatPostingsPositionsWriter() : Lucene::FormatPostingsPositionsWriter
- FormatPostingsTermsWriter() : Lucene::FormatPostingsTermsWriter
- formatSize : Lucene::FieldsReader
- free() : Lucene::TermVectorsTermsWriter , Lucene::StoredFieldsWriter
- freeByteBlocks : Lucene::ByteBlockAllocator
- freeCharBlocks : Lucene::DocumentsWriter
- freeCount : Lucene::StoredFieldsWriter , Lucene::DocFieldConsumers , Lucene::DocFieldProcessorPerThread , Lucene::TermVectorsTermsWriter
- freeIntBlocks : Lucene::DocumentsWriter
- freeLevel : Lucene::DocumentsWriter
- freePerDoc() : Lucene::DocFieldConsumers , Lucene::DocFieldProcessorPerThread
- freePostings : Lucene::TermsHashPerThread
- freePostingsCount : Lucene::TermsHashPerThread
- freeRAM() : Lucene::DocFieldConsumers , Lucene::StoredFieldsWriter , Lucene::DocInverter , Lucene::InvertedDocConsumer , Lucene::DocFieldConsumer , Lucene::DocConsumer , Lucene::DocFieldProcessor , Lucene::TermsHash , Lucene::NormsWriterPerThread , Lucene::TermVectorsTermsWriter
- freeTrigger : Lucene::DocumentsWriter
- freq() : Lucene::SegmentTermDocs , Lucene::MultiTermDocs , Lucene::TermDocs , Lucene::SpanScorer , Lucene::PhraseScorer , Lucene::AbstractAllTermDocs , Lucene::MultipleTermPositions , Lucene::FreqProxFieldMergeState , Lucene::TermVectorsTermsWriterPostingList , Lucene::TermSpans , Lucene::FilterTermDocs
- FREQ_EXTENSION() : Lucene::IndexFileNames
- freqBasePointer : Lucene::SegmentTermDocs
- freqOutput : Lucene::DefaultSkipListWriter
- freqPointer : Lucene::TermInfo , Lucene::SegmentTermEnum , Lucene::DefaultSkipListReader
- FreqProxFieldMergeState() : Lucene::FreqProxFieldMergeState
- FreqProxTermsWriterPerField() : Lucene::FreqProxTermsWriterPerField
- FreqProxTermsWriterPerThread() : Lucene::FreqProxTermsWriterPerThread
- FreqProxTermsWriterPostingList() : Lucene::FreqProxTermsWriterPostingList
- freqs : Lucene::TermScorer
- freqStart : Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsTermsWriter
- freqStream() : Lucene::SegmentTermDocs
- frequency : Lucene::TermVectorEntry
- FSDirectory() : Lucene::FSDirectory
- FSLockFactory() : Lucene::FSLockFactory
- function : Lucene::PayloadNearQuery , Lucene::PayloadTermQuery
- FUZZY_SLOP : Lucene::QueryParserConstants
- fuzzyMinSim : Lucene::QueryParser
- fuzzyPrefixLength : Lucene::QueryParser
- FuzzyQuery() : Lucene::FuzzyQuery
- FuzzyTermEnum() : Lucene::FuzzyTermEnum

clucene.sourceforge.net